library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
entity VGAMultiplexer is
    Port ( In3a : in  STD_LOGIC_VECTOR (2 downto 0);
           In3b : in  STD_LOGIC_VECTOR (2 downto 0);
           Switch : in  STD_LOGIC;
           Out3 : out  STD_LOGIC_VECTOR (2 downto 0));
end VGAMultiplexer;

architecture Behavioral of VGAMultiplexer is

begin
   Out3   <= In3a  when Switch = '1' else In3b;
end Behavioral;

